Public Attributes | List of all members
ble_gap_ext_adv_report_ind_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

APP receives the extended advertising report indication info struct. More...

`#include <ble_gapc.h>`

## Public Attributes
uint8_t | adv_type
uint8_t | adv_info
ble_gap_bdaddr_t | broadcaster_addr
ble_gap_bdaddr_t | direct_addr
int8_t | tx_pwr
int8_t | rssi
uint8_t | phy_prim
uint8_t | phy_second
uint8_t | adv_sid
uint16_t | period_adv_intv
uint8_t | per_sync_idx
uint16_t | length
uint8_t | data [__ARRAY_EMPTY]

## Detailed Description

APP receives the extended advertising report indication info struct.

Definition at line 289 of file ble_gapc.h.

## Member Data Documentation

## ◆ adv_info

uint8_t ble_gap_ext_adv_report_ind_t::adv_info

Bit field providing information about the received report.

See also
  enum gap_adv_report_info_t.

Definition at line 292 of file ble_gapc.h.

## ◆ adv_sid

uint8_t ble_gap_ext_adv_report_ind_t::adv_sid

Advertising SID , valid only for periodic advertising report.

Definition at line 299 of file ble_gapc.h.

## ◆ adv_type

uint8_t ble_gap_ext_adv_report_ind_t::adv_type

Advertising type.

See also
  enum gap_adv_report_type_t.

Definition at line 291 of file ble_gapc.h.

## ◆ broadcaster_addr

ble_gap_bdaddr_t ble_gap_ext_adv_report_ind_t::broadcaster_addr

Broadcaster device address.

Definition at line 293 of file ble_gapc.h.

## ◆ data

uint8_t ble_gap_ext_adv_report_ind_t::data[__ARRAY_EMPTY]

Report.

Definition at line 303 of file ble_gapc.h.

## ◆ direct_addr

ble_gap_bdaddr_t ble_gap_ext_adv_report_ind_t::direct_addr

Target address (in case of a directed advertising report).

Definition at line 294 of file ble_gapc.h.

## ◆ length

uint16_t ble_gap_ext_adv_report_ind_t::length

Report length.

Definition at line 302 of file ble_gapc.h.

## ◆ per_sync_idx

uint8_t ble_gap_ext_adv_report_ind_t::per_sync_idx

Periodic syncronization index, valid only for periodic advertising report.

Definition at line 301 of file ble_gapc.h.

## ◆ period_adv_intv

uint16_t ble_gap_ext_adv_report_ind_t::period_adv_intv

Periodic advertising interval (in unit of 1.25ms, min is 7.5ms), valid only for periodic advertising report.

Definition at line 300 of file ble_gapc.h.

## ◆ phy_prim

uint8_t ble_gap_ext_adv_report_ind_t::phy_prim

Primary PHY on which advertising report has been received.

Definition at line 297 of file ble_gapc.h.

## ◆ phy_second

uint8_t ble_gap_ext_adv_report_ind_t::phy_second

Secondary PHY on which advertising report has been received.

Definition at line 298 of file ble_gapc.h.

## ◆ rssi

int8_t ble_gap_ext_adv_report_ind_t::rssi

RSSI (between -127 and +20 dBm).

Definition at line 296 of file ble_gapc.h.

## ◆ tx_pwr

int8_t ble_gap_ext_adv_report_ind_t::tx_pwr

TX power (in dBm).

Definition at line 295 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h